Bug 1735374 - Support virtio-pmem - persistent memory (qemu)
Summary: Support virtio-pmem - persistent memory (qemu)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: ---
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Luiz Capitulino
QA Contact: Yumei Huang
URL:
Whiteboard:
Depends On: 1735366
Blocks: 1735375
TreeView+ depends on / blocked
 
Reported: 2019-07-31 20:43 UTC by Luiz Capitulino
Modified: 2021-01-19 02:00 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-4.2.0-1.module+el8.2.0+4793+b09dd2fb
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-18 13:53:59 UTC
Type: Feature Request
Target Upstream Version:


Attachments (Terms of Use)

Description Luiz Capitulino 2019-07-31 20:43:21 UTC
Backport qemu virtio-pmem support merged upstream (git log 7b9829bc6c7d84056c3a1c60737f71db4d2871e4..207efa18ac9eb7085a44cad24489d0da54bc5f65).

Comment 8 Ademar Reis 2020-02-05 23:01:46 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks

Comment 11 David Hildenbrand 2021-01-18 13:53:59 UTC
virtio-pmem still has a known preflush issue in the upstream kernel, which has to be sorted out upstream first.

As the author of virtio-pmem is no longer working at Red Hat, we won't be supporting virtio-pmem in RHEL8 and will disable it in RHEL9 until we have an upstream fix.

Until then, we really can't test and support this in QEMU.


Note You need to log in before you can comment on or make changes to this bug.